lkml.org 
[lkml]   [2014]   [Apr]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
Subject[RFC][7/11][MANUX] Kernel compatibility : capset(2)
Now another syscall. I recently implemented capabilities, and decided to
use a version number that's different from the one Linux uses. I guess
that's exactly how I should have done it, but can you confirm me that
this is acceptable?

Also, for your information, I decided to use 64-bit capabilities, in
order to give a possibility to reduce the rights of an unprivileged
software (for example, if a process lacks CAP_USR_CHMOD, it won't be
able to perform a chmod on an existing file). This means I'm not using
the same data structure as you; do you have any objection to it?

Thank you,

Emmanuel


\
 
 \ /
  Last update: 2014-04-15 19:01    [W:0.039 / U:67.316 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site